#include "m25px.lsl"
#ifdef __SW_LSL
#include __SW_LSL
#endif

derivative system
{
    core sw
    {
        architecture = __SW_ARCH;
    }

    memory iram
    {
        mau = 8;
        type = ram;
        size = 8k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=24k, size=8k);
    }

    memory irom
    {
        mau = 8;
        type = rom;
        size = 24k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0, size=24k);
    }

    memory xram
    {
        mau = 8;
        type = ram;
        size = 0x100000;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0x1000000, size=0x100000);
    }



    // Software Platform locate rules
    #ifdef __SWPLATFORM__
    #include "framecfg\swplatform.lsl"
    #endif





}
