------------------------------------------------------------
-- VHDL M25Px
-- 2015 7 11 19 14 56
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL M25Px
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity M25Px Is
  port
  (
    CBIO_SPI_CS  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=CBIO_SPI_CS
    CLK12M       : In    STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=CLK12M
    D0           : In    STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=D0
    D1           : In    STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=D1
    D2           : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=D2
    D3           : In    STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=D3
    FLASH_CS     : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=FLASH_CS
    FPGA_MISO    : In    STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=FPGA_MISO
    FPGA_MOSI    : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=FPGA_MOSI
    FPGA_SPICLK  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=FPGA_SPICLK
    MEM_BUS_A0   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A0
    MEM_BUS_A1   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A1
    MEM_BUS_A2   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A2
    MEM_BUS_A3   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A3
    MEM_BUS_A4   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A4
    MEM_BUS_A5   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A5
    MEM_BUS_A6   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A6
    MEM_BUS_A7   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A7
    MEM_BUS_A8   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A8
    MEM_BUS_A9   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A9
    MEM_BUS_A10  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A10
    MEM_BUS_A11  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A11
    MEM_BUS_A12  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A12
    MEM_BUS_A13  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A13
    MEM_BUS_A14  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A14
    MEM_BUS_A15  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A15
    MEM_BUS_A16  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A16
    MEM_BUS_A17  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_A17
    MEM_BUS_D0   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D0
    MEM_BUS_D1   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D1
    MEM_BUS_D2   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D2
    MEM_BUS_D3   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D3
    MEM_BUS_D4   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D4
    MEM_BUS_D5   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D5
    MEM_BUS_D6   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D6
    MEM_BUS_D7   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D7
    MEM_BUS_D8   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D8
    MEM_BUS_D9   : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D9
    MEM_BUS_D10  : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D10
    MEM_BUS_D11  : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D11
    MEM_BUS_D12  : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D12
    MEM_BUS_D13  : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D13
    MEM_BUS_D14  : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D14
    MEM_BUS_D15  : InOut STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_D15
    MEM_BUS_NBE0 : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_NBE0
    MEM_BUS_NBE1 : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_NBE1
    MEM_BUS_NWE  : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=MEM_BUS_NWE
    SD_CS        : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SD_CS
    SDRAM_CKE    : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SDRAM_CKE
    SDRAM_CLK    : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SDRAM_CLK
    SDRAM_NCAS   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SDRAM_NCAS
    SDRAM_NCS    : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SDRAM_NCS
    SDRAM_NRAS   : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SDRAM_NRAS
    SRAM_NCS     : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SRAM_NCS
    SRAM_NOE     : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=SRAM_NOE
    TSC_CS       : Out   STD_LOGIC;                          -- ObjectKind=Port|PrimaryId=TSC_CS
    USER_LED     : Out   STD_LOGIC                           -- ObjectKind=Port|PrimaryId=USER_LED
  );
  attribute MacroCell : boolean;



  attribute VersionControl_RevNumber : string;
  attribute VersionControl_RevNumber of M25Px : Entity is "";


End M25Px;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of M25Px is
   Component Clock_IC3                                       -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLKA
        CLKO   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLKO
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC3-RST
      );
   End Component;

   Component Configurable_IC2                                -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC2-RST
      );
   End Component;

   Component Configurable_IC6                                -- ObjectKind=Part|PrimaryId=IC6|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=IC6-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=IC6-O
      );
   End Component;

   Component Configurable_U1011                              -- ObjectKind=Part|PrimaryId=U1011|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(1 downto 0);               -- ObjectKind=Pin|PrimaryId=U1011-I[1..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U1011-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U1011-O1
      );
   End Component;

   Component Configurable_U1018                              -- ObjectKind=Part|PrimaryId=U1018|SecondaryId=1
      port
      (
        I   : in  STD_LOGIC_VECTOR(12 downto 0);             -- ObjectKind=Pin|PrimaryId=U1018-I[12..0]
        O0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O0
        O1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O1
        O2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O2
        O3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O3
        O4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O4
        O5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O5
        O6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O6
        O7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O7
        O8  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O8
        O9  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O9
        O10 : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O10
        O11 : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U1018-O11
        O12 : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U1018-O12
      );
   End Component;

   Component Configurable_U8011                              -- ObjectKind=Part|PrimaryId=U8011|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(1 downto 0);               -- ObjectKind=Pin|PrimaryId=U8011-I[1..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U8011-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U8011-O1
      );
   End Component;

   Component FPGA_STARTUP8                                   -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=IC5-CLK
        DELAY : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=IC5-DELAY[7..0]
        INIT  : out STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=IC5-INIT
      );
   End Component;

   Component M25Px_MCU                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_M25Px
      port
      (
        CLK_I           : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-CLK_I
        JTAG_NEXUS_TCK  : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TCK
        JTAG_NEXUS_TDI  : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TDI
        JTAG_NEXUS_TDO  : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TDO
        JTAG_NEXUS_TMS  : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TMS
        JTAG_NEXUS_TRST : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TRST
        RST_I           : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-RST_I
        SPI_SPI_CLK     : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_CLK
        SPI_SPI_CS      : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_CS
        SPI_SPI_DIN     : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_DIN
        SPI_SPI_DOUT    : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_DOUT
        SPI_SPI_MODE    : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_MODE
        XMEM_SDRAM_A    : out   STD_LOGIC_VECTOR(12 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_A[12..0]
        XMEM_SDRAM_BA   : out   STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_BA[1..0]
        XMEM_SDRAM_BE   : out   STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_BE[1..0]
        XMEM_SDRAM_CAS  : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CAS
        XMEM_SDRAM_CLK  : in    STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CLK
        XMEM_SDRAM_CLKE : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CLKE
        XMEM_SDRAM_CS   : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CS
        XMEM_SDRAM_D    : inout STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_RAS  : out   STD_LOGIC;                   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_RAS
        XMEM_SDRAM_WE   : out   STD_LOGIC                    -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_WE
      );
   End Component;

   Component NAND2                                           -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=IC4-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=IC4-O
      );
   End Component;


    Signal NamedSignal_JTAG_NEXUS_TRST       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    Signal NamedSignal_MEM_CLK               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MEM_CLK
    Signal NamedSignal_VCC1_BUS              : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    Signal NamedSignal_WB_CLK                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_CLK
    Signal NamedSignal_WB_RST                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_RST
    Signal PinSignal_IC2_CLKA                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=C100M
    Signal PinSignal_IC2_LOCKED              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC2_LOCKED
    Signal PinSignal_IC3_CLKA                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_CLK
    Signal PinSignal_IC3_CLKO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MEM_CLK
    Signal PinSignal_IC3_LOCKED              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC3_LOCKED
    Signal PinSignal_IC4_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O
    Signal PinSignal_IC5_INIT                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_RST
    Signal PinSignal_IC6_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC6_O
    Signal PinSignal_U_M25Px_JTAG_NEXUS_TDO  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=D2
    Signal PinSignal_U_M25Px_SPI_SPI_CLK     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_CLK
    Signal PinSignal_U_M25Px_SPI_SPI_CS      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_CS
    Signal PinSignal_U_M25Px_SPI_SPI_DOUT    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_DOUT
    Signal PinSignal_U_M25Px_XMEM_SDRAM_A    : STD_LOGIC_VECTOR(12 downto 0); -- ObjectKind=Net|PrimaryId=NetU1018_I[12..0]
    Signal PinSignal_U_M25Px_XMEM_SDRAM_BA   : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU8011_I[1..0]
    Signal PinSignal_U_M25Px_XMEM_SDRAM_BE   : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU1011_I[1..0]
    Signal PinSignal_U_M25Px_XMEM_SDRAM_CAS  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CAS
    Signal PinSignal_U_M25Px_XMEM_SDRAM_CLKE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CLKE
    Signal PinSignal_U_M25Px_XMEM_SDRAM_CS   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CS
    Signal PinSignal_U_M25Px_XMEM_SDRAM_RAS  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_RAS
    Signal PinSignal_U_M25Px_XMEM_SDRAM_WE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_WE
    Signal PinSignal_U1011_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1011_O0
    Signal PinSignal_U1011_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1011_O1
    Signal PinSignal_U1018_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O0
    Signal PinSignal_U1018_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O1
    Signal PinSignal_U1018_O10               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O10
    Signal PinSignal_U1018_O11               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O11
    Signal PinSignal_U1018_O12               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O12
    Signal PinSignal_U1018_O2                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O2
    Signal PinSignal_U1018_O3                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O3
    Signal PinSignal_U1018_O4                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O4
    Signal PinSignal_U1018_O5                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O5
    Signal PinSignal_U1018_O6                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O6
    Signal PinSignal_U1018_O7                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O7
    Signal PinSignal_U1018_O8                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O8
    Signal PinSignal_U1018_O9                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1018_O9
    Signal PinSignal_U8011_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU8011_O0
    Signal PinSignal_U8011_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU8011_O1
    Signal PowerSignal_GND                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST




begin
    U_M25Px : M25Px_MCU                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_M25Px
      Port Map
      (
        CLK_I            => NamedSignal_WB_CLK,              -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-CLK_I
        JTAG_NEXUS_TCK   => D0,                              -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TCK
        JTAG_NEXUS_TDI   => D1,                              -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TDI
        JTAG_NEXUS_TDO   => PinSignal_U_M25Px_JTAG_NEXUS_TDO, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TDO
        JTAG_NEXUS_TMS   => D3,                              -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TMS
        JTAG_NEXUS_TRST  => NamedSignal_JTAG_NEXUS_TRST,     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-JTAG_NEXUS_TRST
        RST_I            => NamedSignal_WB_RST,              -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-RST_I
        SPI_SPI_CLK      => PinSignal_U_M25Px_SPI_SPI_CLK,   -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_CLK
        SPI_SPI_CS       => PinSignal_U_M25Px_SPI_SPI_CS,    -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_CS
        SPI_SPI_DIN      => FPGA_MISO,                       -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_DIN
        SPI_SPI_DOUT     => PinSignal_U_M25Px_SPI_SPI_DOUT,  -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-SPI.SPI_DOUT
        XMEM_SDRAM_A     => PinSignal_U_M25Px_XMEM_SDRAM_A,  -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_A[12..0]
        XMEM_SDRAM_BA    => PinSignal_U_M25Px_XMEM_SDRAM_BA, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_BA[1..0]
        XMEM_SDRAM_BE    => PinSignal_U_M25Px_XMEM_SDRAM_BE, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_BE[1..0]
        XMEM_SDRAM_CAS   => PinSignal_U_M25Px_XMEM_SDRAM_CAS, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CAS
        XMEM_SDRAM_CLK   => PinSignal_IC6_O,                 -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CLK
        XMEM_SDRAM_CLKE  => PinSignal_U_M25Px_XMEM_SDRAM_CLKE, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CLKE
        XMEM_SDRAM_CS    => PinSignal_U_M25Px_XMEM_SDRAM_CS, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_CS
        XMEM_SDRAM_D(15) => MEM_BUS_D15,                     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(14) => MEM_BUS_D14,                     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(13) => MEM_BUS_D13,                     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(12) => MEM_BUS_D12,                     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(11) => MEM_BUS_D11,                     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(10) => MEM_BUS_D10,                     -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(9)  => MEM_BUS_D9,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(8)  => MEM_BUS_D8,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(7)  => MEM_BUS_D7,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(6)  => MEM_BUS_D6,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(5)  => MEM_BUS_D5,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(4)  => MEM_BUS_D4,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(3)  => MEM_BUS_D3,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(2)  => MEM_BUS_D2,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(1)  => MEM_BUS_D1,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_D(0)  => MEM_BUS_D0,                      -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_D[15..0]
        XMEM_SDRAM_RAS   => PinSignal_U_M25Px_XMEM_SDRAM_RAS, -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_RAS
        XMEM_SDRAM_WE    => PinSignal_U_M25Px_XMEM_SDRAM_WE  -- ObjectKind=Sheet Entry|PrimaryId=M25Px_MCU.OpenBus-XMEM_SDRAM_WE
      );

    U8011 : Configurable_U8011                               -- ObjectKind=Part|PrimaryId=U8011|SecondaryId=1
      Port Map
      (
        I  => PinSignal_U_M25Px_XMEM_SDRAM_BA,               -- ObjectKind=Pin|PrimaryId=U8011-I[1..0]
        O0 => PinSignal_U8011_O0,                            -- ObjectKind=Pin|PrimaryId=U8011-O0
        O1 => PinSignal_U8011_O1                             -- ObjectKind=Pin|PrimaryId=U8011-O1
      );

    U1018 : Configurable_U1018                               -- ObjectKind=Part|PrimaryId=U1018|SecondaryId=1
      Port Map
      (
        I   => PinSignal_U_M25Px_XMEM_SDRAM_A,               -- ObjectKind=Pin|PrimaryId=U1018-I[12..0]
        O0  => PinSignal_U1018_O0,                           -- ObjectKind=Pin|PrimaryId=U1018-O0
        O1  => PinSignal_U1018_O1,                           -- ObjectKind=Pin|PrimaryId=U1018-O1
        O2  => PinSignal_U1018_O2,                           -- ObjectKind=Pin|PrimaryId=U1018-O2
        O3  => PinSignal_U1018_O3,                           -- ObjectKind=Pin|PrimaryId=U1018-O3
        O4  => PinSignal_U1018_O4,                           -- ObjectKind=Pin|PrimaryId=U1018-O4
        O5  => PinSignal_U1018_O5,                           -- ObjectKind=Pin|PrimaryId=U1018-O5
        O6  => PinSignal_U1018_O6,                           -- ObjectKind=Pin|PrimaryId=U1018-O6
        O7  => PinSignal_U1018_O7,                           -- ObjectKind=Pin|PrimaryId=U1018-O7
        O8  => PinSignal_U1018_O8,                           -- ObjectKind=Pin|PrimaryId=U1018-O8
        O9  => PinSignal_U1018_O9,                           -- ObjectKind=Pin|PrimaryId=U1018-O9
        O10 => PinSignal_U1018_O10,                          -- ObjectKind=Pin|PrimaryId=U1018-O10
        O11 => PinSignal_U1018_O11,                          -- ObjectKind=Pin|PrimaryId=U1018-O11
        O12 => PinSignal_U1018_O12                           -- ObjectKind=Pin|PrimaryId=U1018-O12
      );

    U1011 : Configurable_U1011                               -- ObjectKind=Part|PrimaryId=U1011|SecondaryId=1
      Port Map
      (
        I  => PinSignal_U_M25Px_XMEM_SDRAM_BE,               -- ObjectKind=Pin|PrimaryId=U1011-I[1..0]
        O0 => PinSignal_U1011_O0,                            -- ObjectKind=Pin|PrimaryId=U1011-O0
        O1 => PinSignal_U1011_O1                             -- ObjectKind=Pin|PrimaryId=U1011-O1
      );

    IC6 : Configurable_IC6                                   -- ObjectKind=Part|PrimaryId=IC6|SecondaryId=1
      Port Map
      (
        I => NamedSignal_MEM_CLK,                            -- ObjectKind=Pin|PrimaryId=IC6-I
        O => PinSignal_IC6_O                                 -- ObjectKind=Pin|PrimaryId=IC6-O
      );

    IC5 : FPGA_STARTUP8                                      -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      Port Map
      (
        CLK   => PinSignal_IC3_CLKA,                         -- ObjectKind=Pin|PrimaryId=IC5-CLK
        DELAY => NamedSignal_VCC1_BUS,                       -- ObjectKind=Pin|PrimaryId=IC5-DELAY[7..0]
        INIT  => PinSignal_IC5_INIT                          -- ObjectKind=Pin|PrimaryId=IC5-INIT
      );

    IC4 : NAND2                                              -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_IC2_LOCKED,                          -- ObjectKind=Pin|PrimaryId=IC4-I0
        I1 => PinSignal_IC3_LOCKED,                          -- ObjectKind=Pin|PrimaryId=IC4-I1
        O  => PinSignal_IC4_O                                -- ObjectKind=Pin|PrimaryId=IC4-O
      );

    IC3 : Clock_IC3                                          -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      Port Map
      (
        CLK    => PinSignal_IC2_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC3-CLK
        CLKA   => PinSignal_IC3_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC3-CLKA
        CLKO   => PinSignal_IC3_CLKO,                        -- ObjectKind=Pin|PrimaryId=IC3-CLKO
        LOCKED => PinSignal_IC3_LOCKED,                      -- ObjectKind=Pin|PrimaryId=IC3-LOCKED
        RST    => PowerSignal_GND                            -- ObjectKind=Pin|PrimaryId=IC3-RST
      );

    IC2 : Configurable_IC2                                   -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      Port Map
      (
        CLK    => CLK12M,                                    -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   => PinSignal_IC2_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        LOCKED => PinSignal_IC2_LOCKED,                      -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    => PowerSignal_GND                            -- ObjectKind=Pin|PrimaryId=IC2-RST
      );

    -- Signal Assignments
    ---------------------
    CBIO_SPI_CS                 <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    D2                          <= PinSignal_U_M25Px_JTAG_NEXUS_TDO; -- ObjectKind=Net|PrimaryId=D2
    FLASH_CS                    <= PinSignal_U_M25Px_SPI_SPI_CS; -- ObjectKind=Net|PrimaryId=SPI.SPI_CS
    FPGA_MOSI                   <= PinSignal_U_M25Px_SPI_SPI_DOUT; -- ObjectKind=Net|PrimaryId=SPI.SPI_DOUT
    FPGA_SPICLK                 <= PinSignal_U_M25Px_SPI_SPI_CLK; -- ObjectKind=Net|PrimaryId=SPI.SPI_CLK
    MEM_BUS_A0                  <= PinSignal_U1018_O0; -- ObjectKind=Net|PrimaryId=NetU1018_O0
    MEM_BUS_A1                  <= PinSignal_U1018_O1; -- ObjectKind=Net|PrimaryId=NetU1018_O1
    MEM_BUS_A10                 <= PinSignal_U1018_O10; -- ObjectKind=Net|PrimaryId=NetU1018_O10
    MEM_BUS_A11                 <= PinSignal_U1018_O11; -- ObjectKind=Net|PrimaryId=NetU1018_O11
    MEM_BUS_A12                 <= PinSignal_U1018_O12; -- ObjectKind=Net|PrimaryId=NetU1018_O12
    MEM_BUS_A13                 <= PinSignal_U8011_O0; -- ObjectKind=Net|PrimaryId=NetU8011_O0
    MEM_BUS_A14                 <= PinSignal_U8011_O1; -- ObjectKind=Net|PrimaryId=NetU8011_O1
    MEM_BUS_A15                 <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    MEM_BUS_A16                 <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    MEM_BUS_A17                 <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    MEM_BUS_A2                  <= PinSignal_U1018_O2; -- ObjectKind=Net|PrimaryId=NetU1018_O2
    MEM_BUS_A3                  <= PinSignal_U1018_O3; -- ObjectKind=Net|PrimaryId=NetU1018_O3
    MEM_BUS_A4                  <= PinSignal_U1018_O4; -- ObjectKind=Net|PrimaryId=NetU1018_O4
    MEM_BUS_A5                  <= PinSignal_U1018_O5; -- ObjectKind=Net|PrimaryId=NetU1018_O5
    MEM_BUS_A6                  <= PinSignal_U1018_O6; -- ObjectKind=Net|PrimaryId=NetU1018_O6
    MEM_BUS_A7                  <= PinSignal_U1018_O7; -- ObjectKind=Net|PrimaryId=NetU1018_O7
    MEM_BUS_A8                  <= PinSignal_U1018_O8; -- ObjectKind=Net|PrimaryId=NetU1018_O8
    MEM_BUS_A9                  <= PinSignal_U1018_O9; -- ObjectKind=Net|PrimaryId=NetU1018_O9
    MEM_BUS_NBE0                <= PinSignal_U1011_O0; -- ObjectKind=Net|PrimaryId=NetU1011_O0
    MEM_BUS_NBE1                <= PinSignal_U1011_O1; -- ObjectKind=Net|PrimaryId=NetU1011_O1
    MEM_BUS_NWE                 <= PinSignal_U_M25Px_XMEM_SDRAM_WE; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_WE
    NamedSignal_JTAG_NEXUS_TRST <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    NamedSignal_MEM_CLK         <= PinSignal_IC3_CLKO; -- ObjectKind=Net|PrimaryId=MEM_CLK
    NamedSignal_VCC1_BUS        <= "11111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    NamedSignal_WB_CLK          <= PinSignal_IC3_CLKA; -- ObjectKind=Net|PrimaryId=WB_CLK
    NamedSignal_WB_RST          <= PinSignal_IC5_INIT; -- ObjectKind=Net|PrimaryId=WB_RST
    PowerSignal_GND             <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC             <= '1'; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    SD_CS                       <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    SDRAM_CKE                   <= PinSignal_U_M25Px_XMEM_SDRAM_CLKE; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CLKE
    SDRAM_CLK                   <= NamedSignal_MEM_CLK; -- ObjectKind=Net|PrimaryId=MEM_CLK
    SDRAM_NCAS                  <= PinSignal_U_M25Px_XMEM_SDRAM_CAS; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CAS
    SDRAM_NCS                   <= PinSignal_U_M25Px_XMEM_SDRAM_CS; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CS
    SDRAM_NRAS                  <= PinSignal_U_M25Px_XMEM_SDRAM_RAS; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_RAS
    SRAM_NCS                    <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    SRAM_NOE                    <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    TSC_CS                      <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    USER_LED                    <= PinSignal_IC4_O; -- ObjectKind=Net|PrimaryId=NetIC4_O

end structure;
------------------------------------------------------------

