------------------------------------------------------------
-- VHDL M25Px_MCU
-- 2015 7 11 19 14 57
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL M25Px_MCU
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity M25Px_MCU Is
  port
  (
    CLK_I           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK_I
    RST_I           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RST_I
    SPI_SPI_CLK     : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SPI.SPI_CLK
    SPI_SPI_CS      : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SPI.SPI_CS
    SPI_SPI_DIN     : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SPI.SPI_DIN
    SPI_SPI_DOUT    : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SPI.SPI_DOUT
    SPI_SPI_MODE    : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SPI.SPI_MODE
    XMEM_SDRAM_A    : Out   STD_LOGIC_VECTOR(12 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_A[12..0]
    XMEM_SDRAM_BA   : Out   STD_LOGIC_VECTOR(1 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_BA[1..0]
    XMEM_SDRAM_BE   : Out   STD_LOGIC_VECTOR(1 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_BE[1..0]
    XMEM_SDRAM_CAS  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_CAS
    XMEM_SDRAM_CLK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_CLK
    XMEM_SDRAM_CLKE : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_CLKE
    XMEM_SDRAM_CS   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_CS
    XMEM_SDRAM_D    : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_D[15..0]
    XMEM_SDRAM_RAS  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_RAS
    XMEM_SDRAM_WE   : Out   STD_LOGIC                        -- ObjectKind=Port|PrimaryId=XMEM_SDRAM_WE
  );
  attribute MacroCell : boolean;

End M25Px_MCU;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of M25Px_MCU is
   Component Configurable_INTERCON_IO                        -- ObjectKind=Part|PrimaryId=INTERCON_IO|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ADR_O[3..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_I[7..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_O[7..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_STB_O
        s0_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_WE_O
        s1_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_ACK_I
        s1_ADR_O : out STD_LOGIC_VECTOR(2 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_ADR_O[2..0]
        s1_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_CYC_O
        s1_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_DAT_I[31..0]
        s1_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_DAT_O[31..0]
        s1_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_SEL_O[3..0]
        s1_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_STB_O
        s1_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_WE_O
      );
   End Component;

   Component Configurable_INTERCON_MEM                       -- ObjectKind=Part|PrimaryId=INTERCON_MEM|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(24 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ADR_O[24..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_WE_O
      );
   End Component;

   Component Configurable_MCU                                -- ObjectKind=Part|PrimaryId=MCU|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_ADR_O[23..0]
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_O[31..0]
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MCU-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_ADR_O[31..0]
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_O[31..0]
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MCU-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_WE_O
        RST_I    : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=MCU-RST_I
      );
   End Component;

   Component Configurable_SPI                                -- ObjectKind=Part|PrimaryId=SPI|SecondaryId=1
      port
      (
        ACK_O    : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-ACK_O
        ADR_I    : in  STD_LOGIC_VECTOR(2 downto 0);         -- ObjectKind=Pin|PrimaryId=SPI-ADR_I[2..0]
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-CLK_I
        CYC_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-CYC_I
        DAT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=SPI-DAT_I[31..0]
        DAT_O    : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=SPI-DAT_O[31..0]
        RST_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-RST_I
        SPI_CLK  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-SPI_CLK
        SPI_CS   : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-SPI_CS
        SPI_DIN  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-SPI_DIN
        SPI_DOUT : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-SPI_DOUT
        SPI_MODE : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-SPI_MODE
        STB_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=SPI-STB_I
        WE_I     : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=SPI-WE_I
      );
   End Component;

   Component Configurable_XMEM                               -- ObjectKind=Part|PrimaryId=XMEM|SecondaryId=1
      port
      (
        ACK_O      : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-ACK_O
        ADR_I      : in    STD_LOGIC_VECTOR(24 downto 0);    -- ObjectKind=Pin|PrimaryId=XMEM-ADR_I[24..0]
        CLK_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-CLK_I
        CYC_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-CYC_I
        DAT_I      : in    STD_LOGIC_VECTOR(31 downto 0);    -- ObjectKind=Pin|PrimaryId=XMEM-DAT_I[31..0]
        DAT_O      : out   STD_LOGIC_VECTOR(31 downto 0);    -- ObjectKind=Pin|PrimaryId=XMEM-DAT_O[31..0]
        RST_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-RST_I
        SDRAM_A    : out   STD_LOGIC_VECTOR(12 downto 0);    -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_A[12..0]
        SDRAM_BA   : out   STD_LOGIC_VECTOR(1 downto 0);     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_BA[1..0]
        SDRAM_BE   : out   STD_LOGIC_VECTOR(1 downto 0);     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_BE[1..0]
        SDRAM_CAS  : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CAS
        SDRAM_CLK  : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CLK
        SDRAM_CLKE : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CLKE
        SDRAM_CS   : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CS
        SDRAM_D    : inout STD_LOGIC_VECTOR(15 downto 0);    -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_RAS  : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_RAS
        SDRAM_WE   : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_WE
        SEL_I      : in    STD_LOGIC_VECTOR(3 downto 0);     -- ObjectKind=Pin|PrimaryId=XMEM-SEL_I[3..0]
        STB_I      : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=XMEM-STB_I
        WE_I       : in    STD_LOGIC                         -- ObjectKind=Pin|PrimaryId=XMEM-WE_I
      );
   End Component;

   Component J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_HI|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I10
        I11 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I11
        I12 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I12
        I13 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I13
        I14 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I14
        I15 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I15
        O   : out STD_LOGIC_VECTOR(15 downto 0)              -- ObjectKind=Pin|PrimaryId=MCU_HI-O[15..0]
      );
   End Component;

   Component TERMINAL                                        -- ObjectKind=Part|PrimaryId=SOFT_TERMINAL|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-ACK_O
        ADR_I : in  STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-ADR_I[3..0]
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-DAT_I[7..0]
        DAT_O : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-DAT_O[7..0]
        INT_O : out STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-INT_O[1..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-STB_I
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-WE_I
      );
   End Component;


    Signal NamedSignal_CLK_I                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_GND1_BUS                              : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_GND2_BUS                              : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_ACK   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_ACK
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_ADR   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_ADR[3..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_CYC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_CYC
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_DATIO : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_DATIO[7..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_DATOI : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_DATOI[7..0]
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_STB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_STB
    Signal NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_WE    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_WE
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_ACK             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_ACK
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_ADR             : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_ADR[2..0]
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_CYC             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_CYC
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_DATIO           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_DATIO[31..0]
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_DATOI           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_DATOI[31..0]
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_STB             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_STB
    Signal NamedSignal_INTERCON_IO_M1_S0_SPI_WE              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_WE
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_ACK           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_ACK
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_ADR           : STD_LOGIC_VECTOR(24 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_ADR[24..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_CYC           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_CYC
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_DATIO         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_DATIO[31..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_DATOI         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_DATOI[31..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_SEL           : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_SEL[3..0]
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_STB           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_STB
    Signal NamedSignal_INTERCON_MEM_M0_S0_XMEM_WE            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_WE
    Signal NamedSignal_INTERRUPT_MCU_INT_I                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_ACK             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ACK
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_ADR             : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ADR[23..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_CYC             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_CYC
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_DATIO           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATIO[31..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_DATOI           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATOI[31..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_SEL             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_SEL[3..0]
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_STB             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_STB
    Signal NamedSignal_MCU_M0_S0_INTERCON_IO_WE              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_WE
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_ACK            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ACK
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_ADR            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ADR[31..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_CYC            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_CYC
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_DATIO          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATIO[31..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_DATOI          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATOI[31..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_SEL            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_SEL[3..0]
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_STB            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_STB
    Signal NamedSignal_MCU_M1_S0_INTERCON_MEM_WE             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_WE
    Signal NamedSignal_RST_I                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal PinSignal_INTERCON_IO_m0_ACK_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ACK
    Signal PinSignal_INTERCON_IO_m0_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATOI[31..0]
    Signal PinSignal_INTERCON_IO_s0_ADR_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_ADR[3..0]
    Signal PinSignal_INTERCON_IO_s0_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_CYC
    Signal PinSignal_INTERCON_IO_s0_DAT_O                    : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_DATIO[7..0]
    Signal PinSignal_INTERCON_IO_s0_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal PinSignal_INTERCON_IO_s0_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_STB
    Signal PinSignal_INTERCON_IO_s0_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_WE
    Signal PinSignal_INTERCON_IO_s1_ADR_O                    : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_ADR[2..0]
    Signal PinSignal_INTERCON_IO_s1_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_CYC
    Signal PinSignal_INTERCON_IO_s1_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_DATIO[31..0]
    Signal PinSignal_INTERCON_IO_s1_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal PinSignal_INTERCON_IO_s1_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_STB
    Signal PinSignal_INTERCON_IO_s1_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_WE
    Signal PinSignal_INTERCON_MEM_m0_ACK_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ACK
    Signal PinSignal_INTERCON_MEM_m0_DAT_O                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATOI[31..0]
    Signal PinSignal_INTERCON_MEM_s0_ADR_O                   : STD_LOGIC_VECTOR(24 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_ADR[24..0]
    Signal PinSignal_INTERCON_MEM_s0_CYC_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_CYC
    Signal PinSignal_INTERCON_MEM_s0_DAT_O                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_DATIO[31..0]
    Signal PinSignal_INTERCON_MEM_s0_SEL_O                   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_SEL[3..0]
    Signal PinSignal_INTERCON_MEM_s0_STB_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_STB
    Signal PinSignal_INTERCON_MEM_s0_WE_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_WE
    Signal PinSignal_MCU_HI_O                                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    Signal PinSignal_MCU_IO_ADR_O                            : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ADR[23..0]
    Signal PinSignal_MCU_IO_CYC_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_CYC
    Signal PinSignal_MCU_IO_DAT_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATIO[31..0]
    Signal PinSignal_MCU_IO_SEL_O                            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_SEL[3..0]
    Signal PinSignal_MCU_IO_STB_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_STB
    Signal PinSignal_MCU_IO_WE_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_WE
    Signal PinSignal_MCU_LO_O                                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[15..0]
    Signal PinSignal_MCU_ME_ADR_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ADR[31..0]
    Signal PinSignal_MCU_ME_CYC_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_CYC
    Signal PinSignal_MCU_ME_DAT_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATIO[31..0]
    Signal PinSignal_MCU_ME_SEL_O                            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_SEL[3..0]
    Signal PinSignal_MCU_ME_STB_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_STB
    Signal PinSignal_MCU_ME_WE_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_WE
    Signal PinSignal_SOFT_TERMINAL_ACK_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_ACK
    Signal PinSignal_SOFT_TERMINAL_DAT_O                     : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_DATOI[7..0]
    Signal PinSignal_SOFT_TERMINAL_INT_O                     : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=SOFT_TERMINAL_INT_O[1..0]
    Signal PinSignal_SPI_ACK_O                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_ACK
    Signal PinSignal_SPI_DAT_O                               : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_DATOI[31..0]
    Signal PinSignal_SPI_SPI_CLK                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_CLK
    Signal PinSignal_SPI_SPI_CS                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_CS
    Signal PinSignal_SPI_SPI_DOUT                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_DOUT
    Signal PinSignal_SPI_SPI_MODE                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPI.SPI_MODE
    Signal PinSignal_XMEM_ACK_O                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_ACK
    Signal PinSignal_XMEM_DAT_O                              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_DATOI[31..0]
    Signal PinSignal_XMEM_SDRAM_A                            : STD_LOGIC_VECTOR(12 downto 0); -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_A[12..0]
    Signal PinSignal_XMEM_SDRAM_BA                           : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_BA[1..0]
    Signal PinSignal_XMEM_SDRAM_BE                           : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_BE[1..0]
    Signal PinSignal_XMEM_SDRAM_CAS                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CAS
    Signal PinSignal_XMEM_SDRAM_CLKE                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CLKE
    Signal PinSignal_XMEM_SDRAM_CS                           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CS
    Signal PinSignal_XMEM_SDRAM_RAS                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_RAS
    Signal PinSignal_XMEM_SDRAM_WE                           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_WE
    Signal PowerSignal_GND                                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

   attribute InterconOrder : string;
   attribute InterconOrder of XMEM          : Label is "0";
   attribute InterconOrder of SPI           : Label is "1";
   attribute InterconOrder of SOFT_TERMINAL : Label is "0";

   attribute IsUserConfigurable : string;
   attribute IsUserConfigurable of SPI : Label is "False";


begin
    XMEM : Configurable_XMEM                                 -- ObjectKind=Part|PrimaryId=XMEM|SecondaryId=1
      Port Map
      (
        ACK_O       => PinSignal_XMEM_ACK_O,                 -- ObjectKind=Pin|PrimaryId=XMEM-ACK_O
        ADR_I       => NamedSignal_INTERCON_MEM_M0_S0_XMEM_ADR, -- ObjectKind=Pin|PrimaryId=XMEM-ADR_I[24..0]
        CLK_I       => CLK_I,                                -- ObjectKind=Pin|PrimaryId=XMEM-CLK_I
        CYC_I       => NamedSignal_INTERCON_MEM_M0_S0_XMEM_CYC, -- ObjectKind=Pin|PrimaryId=XMEM-CYC_I
        DAT_I       => NamedSignal_INTERCON_MEM_M0_S0_XMEM_DATIO, -- ObjectKind=Pin|PrimaryId=XMEM-DAT_I[31..0]
        DAT_O       => PinSignal_XMEM_DAT_O,                 -- ObjectKind=Pin|PrimaryId=XMEM-DAT_O[31..0]
        RST_I       => RST_I,                                -- ObjectKind=Pin|PrimaryId=XMEM-RST_I
        SDRAM_A     => PinSignal_XMEM_SDRAM_A,               -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_A[12..0]
        SDRAM_BA    => PinSignal_XMEM_SDRAM_BA,              -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_BA[1..0]
        SDRAM_BE    => PinSignal_XMEM_SDRAM_BE,              -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_BE[1..0]
        SDRAM_CAS   => PinSignal_XMEM_SDRAM_CAS,             -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CAS
        SDRAM_CLK   => XMEM_SDRAM_CLK,                       -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CLK
        SDRAM_CLKE  => PinSignal_XMEM_SDRAM_CLKE,            -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CLKE
        SDRAM_CS    => PinSignal_XMEM_SDRAM_CS,              -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_CS
        SDRAM_D(15) => XMEM_SDRAM_D(15),                     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(14) => XMEM_SDRAM_D(14),                     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(13) => XMEM_SDRAM_D(13),                     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(12) => XMEM_SDRAM_D(12),                     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(11) => XMEM_SDRAM_D(11),                     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(10) => XMEM_SDRAM_D(10),                     -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(9)  => XMEM_SDRAM_D(9),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(8)  => XMEM_SDRAM_D(8),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(7)  => XMEM_SDRAM_D(7),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(6)  => XMEM_SDRAM_D(6),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(5)  => XMEM_SDRAM_D(5),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(4)  => XMEM_SDRAM_D(4),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(3)  => XMEM_SDRAM_D(3),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(2)  => XMEM_SDRAM_D(2),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(1)  => XMEM_SDRAM_D(1),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_D(0)  => XMEM_SDRAM_D(0),                      -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_D[15..0]
        SDRAM_RAS   => PinSignal_XMEM_SDRAM_RAS,             -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_RAS
        SDRAM_WE    => PinSignal_XMEM_SDRAM_WE,              -- ObjectKind=Pin|PrimaryId=XMEM-SDRAM_WE
        SEL_I       => NamedSignal_INTERCON_MEM_M0_S0_XMEM_SEL, -- ObjectKind=Pin|PrimaryId=XMEM-SEL_I[3..0]
        STB_I       => NamedSignal_INTERCON_MEM_M0_S0_XMEM_STB, -- ObjectKind=Pin|PrimaryId=XMEM-STB_I
        WE_I        => NamedSignal_INTERCON_MEM_M0_S0_XMEM_WE -- ObjectKind=Pin|PrimaryId=XMEM-WE_I
      );

    SPI : Configurable_SPI                                   -- ObjectKind=Part|PrimaryId=SPI|SecondaryId=1
      Port Map
      (
        ACK_O    => PinSignal_SPI_ACK_O,                     -- ObjectKind=Pin|PrimaryId=SPI-ACK_O
        ADR_I    => NamedSignal_INTERCON_IO_M1_S0_SPI_ADR,   -- ObjectKind=Pin|PrimaryId=SPI-ADR_I[2..0]
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=SPI-CLK_I
        CYC_I    => NamedSignal_INTERCON_IO_M1_S0_SPI_CYC,   -- ObjectKind=Pin|PrimaryId=SPI-CYC_I
        DAT_I    => NamedSignal_INTERCON_IO_M1_S0_SPI_DATIO, -- ObjectKind=Pin|PrimaryId=SPI-DAT_I[31..0]
        DAT_O    => PinSignal_SPI_DAT_O,                     -- ObjectKind=Pin|PrimaryId=SPI-DAT_O[31..0]
        RST_I    => NamedSignal_RST_I,                       -- ObjectKind=Pin|PrimaryId=SPI-RST_I
        SPI_CLK  => PinSignal_SPI_SPI_CLK,                   -- ObjectKind=Pin|PrimaryId=SPI-SPI_CLK
        SPI_CS   => PinSignal_SPI_SPI_CS,                    -- ObjectKind=Pin|PrimaryId=SPI-SPI_CS
        SPI_DIN  => SPI_SPI_DIN,                             -- ObjectKind=Pin|PrimaryId=SPI-SPI_DIN
        SPI_DOUT => PinSignal_SPI_SPI_DOUT,                  -- ObjectKind=Pin|PrimaryId=SPI-SPI_DOUT
        SPI_MODE => PinSignal_SPI_SPI_MODE,                  -- ObjectKind=Pin|PrimaryId=SPI-SPI_MODE
        STB_I    => NamedSignal_INTERCON_IO_M1_S0_SPI_STB,   -- ObjectKind=Pin|PrimaryId=SPI-STB_I
        WE_I     => NamedSignal_INTERCON_IO_M1_S0_SPI_WE     -- ObjectKind=Pin|PrimaryId=SPI-WE_I
      );

    SOFT_TERMINAL : TERMINAL                                 -- ObjectKind=Part|PrimaryId=SOFT_TERMINAL|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_SOFT_TERMINAL_ACK_O,              -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-ACK_O
        ADR_I => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_ADR, -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-ADR_I[3..0]
        CLK_I => NamedSignal_CLK_I,                          -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-CLK_I
        CYC_I => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_CYC, -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-CYC_I
        DAT_I => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_DATIO, -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-DAT_I[7..0]
        DAT_O => PinSignal_SOFT_TERMINAL_DAT_O,              -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-DAT_O[7..0]
        INT_O => PinSignal_SOFT_TERMINAL_INT_O,              -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-INT_O[1..0]
        RST_I => NamedSignal_RST_I,                          -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-RST_I
        STB_I => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_STB, -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-STB_I
        WE_I  => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_WE -- ObjectKind=Pin|PrimaryId=SOFT_TERMINAL-WE_I
      );

    MCU_LO : J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_LO|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I15
        O   => PinSignal_MCU_LO_O                            -- ObjectKind=Pin|PrimaryId=MCU_LO-O[15..0]
      );

    MCU_HI : J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_HI|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I15
        O   => PinSignal_MCU_HI_O                            -- ObjectKind=Pin|PrimaryId=MCU_HI-O[15..0]
      );

    MCU : Configurable_MCU                                   -- ObjectKind=Part|PrimaryId=MCU|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=MCU-CLK_I
        INT_I    => NamedSignal_INTERRUPT_MCU_INT_I,         -- ObjectKind=Pin|PrimaryId=MCU-INT_I[31..0]
        IO_ACK_I => NamedSignal_MCU_M0_S0_INTERCON_IO_ACK,   -- ObjectKind=Pin|PrimaryId=MCU-IO_ACK_I
        IO_ADR_O => PinSignal_MCU_IO_ADR_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_ADR_O[23..0]
        IO_CYC_O => PinSignal_MCU_IO_CYC_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_CYC_O
        IO_DAT_I => NamedSignal_MCU_M0_S0_INTERCON_IO_DATOI, -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_MCU_IO_DAT_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_O[31..0]
        IO_SEL_O => PinSignal_MCU_IO_SEL_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_MCU_IO_STB_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_STB_O
        IO_WE_O  => PinSignal_MCU_IO_WE_O,                   -- ObjectKind=Pin|PrimaryId=MCU-IO_WE_O
        ME_ACK_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_ACK,  -- ObjectKind=Pin|PrimaryId=MCU-ME_ACK_I
        ME_ADR_O => PinSignal_MCU_ME_ADR_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_ADR_O[31..0]
        ME_CYC_O => PinSignal_MCU_ME_CYC_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_CYC_O
        ME_DAT_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_DATOI, -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_MCU_ME_DAT_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_O[31..0]
        ME_SEL_O => PinSignal_MCU_ME_SEL_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_MCU_ME_STB_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_STB_O
        ME_WE_O  => PinSignal_MCU_ME_WE_O,                   -- ObjectKind=Pin|PrimaryId=MCU-ME_WE_O
        RST_I    => NamedSignal_RST_I                        -- ObjectKind=Pin|PrimaryId=MCU-RST_I
      );

    INTERCON_MEM : Configurable_INTERCON_MEM                 -- ObjectKind=Part|PrimaryId=INTERCON_MEM|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_INTERCON_MEM_m0_ACK_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ACK_O
        m0_ADR_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_ADR,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_ADR_I[31..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CLK_I
        m0_CYC_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_CYC,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_CYC_I
        m0_DAT_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_DATIO, -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_INTERCON_MEM_m0_DAT_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_SEL,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MCU_M1_S0_INTERCON_MEM_STB,  -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_STB_I
        m0_WE_I  => NamedSignal_MCU_M1_S0_INTERCON_MEM_WE,   -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-m0_WE_I
        s0_ACK_I => NamedSignal_INTERCON_MEM_M0_S0_XMEM_ACK, -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ACK_I
        s0_ADR_O => PinSignal_INTERCON_MEM_s0_ADR_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_ADR_O[24..0]
        s0_CYC_O => PinSignal_INTERCON_MEM_s0_CYC_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_CYC_O
        s0_DAT_I => NamedSignal_INTERCON_MEM_M0_S0_XMEM_DATOI, -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_INTERCON_MEM_s0_DAT_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_INTERCON_MEM_s0_SEL_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_INTERCON_MEM_s0_STB_O,         -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_STB_O
        s0_WE_O  => PinSignal_INTERCON_MEM_s0_WE_O           -- ObjectKind=Pin|PrimaryId=INTERCON_MEM-s0_WE_O
      );

    INTERCON_IO : Configurable_INTERCON_IO                   -- ObjectKind=Part|PrimaryId=INTERCON_IO|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_INTERCON_IO_m0_ACK_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ACK_O
        m0_ADR_I => NamedSignal_MCU_M0_S0_INTERCON_IO_ADR,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_ADR_I[23..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CLK_I
        m0_CYC_I => NamedSignal_MCU_M0_S0_INTERCON_IO_CYC,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_CYC_I
        m0_DAT_I => NamedSignal_MCU_M0_S0_INTERCON_IO_DATIO, -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_INTERCON_IO_m0_DAT_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MCU_M0_S0_INTERCON_IO_SEL,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MCU_M0_S0_INTERCON_IO_STB,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_STB_I
        m0_WE_I  => NamedSignal_MCU_M0_S0_INTERCON_IO_WE,    -- ObjectKind=Pin|PrimaryId=INTERCON_IO-m0_WE_I
        s0_ACK_I => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_ACK, -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ACK_I
        s0_ADR_O => PinSignal_INTERCON_IO_s0_ADR_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_ADR_O[3..0]
        s0_CYC_O => PinSignal_INTERCON_IO_s0_CYC_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_CYC_O
        s0_DAT_I => NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_DATOI, -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_I[7..0]
        s0_DAT_O => PinSignal_INTERCON_IO_s0_DAT_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_DAT_O[7..0]
        s0_SEL_O => PinSignal_INTERCON_IO_s0_SEL_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_INTERCON_IO_s0_STB_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_STB_O
        s0_WE_O  => PinSignal_INTERCON_IO_s0_WE_O,           -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s0_WE_O
        s1_ACK_I => NamedSignal_INTERCON_IO_M1_S0_SPI_ACK,   -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_ACK_I
        s1_ADR_O => PinSignal_INTERCON_IO_s1_ADR_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_ADR_O[2..0]
        s1_CYC_O => PinSignal_INTERCON_IO_s1_CYC_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_CYC_O
        s1_DAT_I => NamedSignal_INTERCON_IO_M1_S0_SPI_DATOI, -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_DAT_I[31..0]
        s1_DAT_O => PinSignal_INTERCON_IO_s1_DAT_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_DAT_O[31..0]
        s1_SEL_O => PinSignal_INTERCON_IO_s1_SEL_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_SEL_O[3..0]
        s1_STB_O => PinSignal_INTERCON_IO_s1_STB_O,          -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_STB_O
        s1_WE_O  => PinSignal_INTERCON_IO_s1_WE_O            -- ObjectKind=Pin|PrimaryId=INTERCON_IO-s1_WE_O
      );

    -- Signal Assignments
    ---------------------
    NamedSignal_CLK_I                                 <= CLK_I; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_GND1_BUS                              <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_GND2_BUS                              <= "0000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_ACK   <= PinSignal_SOFT_TERMINAL_ACK_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_ACK
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_ADR   <= PinSignal_INTERCON_IO_s0_ADR_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_ADR[3..0]
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_CYC   <= PinSignal_INTERCON_IO_s0_CYC_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_CYC
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_DATIO <= PinSignal_INTERCON_IO_s0_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_DATIO[7..0]
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_DATOI <= PinSignal_SOFT_TERMINAL_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_DATOI[7..0]
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_STB   <= PinSignal_INTERCON_IO_s0_STB_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_STB
    NamedSignal_INTERCON_IO_M0_S0_SOFT_TERMINAL_WE    <= PinSignal_INTERCON_IO_s0_WE_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M0_S0_SOFT_TERMINAL_WE
    NamedSignal_INTERCON_IO_M1_S0_SPI_ACK             <= PinSignal_SPI_ACK_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_ACK
    NamedSignal_INTERCON_IO_M1_S0_SPI_ADR             <= PinSignal_INTERCON_IO_s1_ADR_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_ADR[2..0]
    NamedSignal_INTERCON_IO_M1_S0_SPI_CYC             <= PinSignal_INTERCON_IO_s1_CYC_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_CYC
    NamedSignal_INTERCON_IO_M1_S0_SPI_DATIO           <= PinSignal_INTERCON_IO_s1_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_DATIO[31..0]
    NamedSignal_INTERCON_IO_M1_S0_SPI_DATOI           <= PinSignal_SPI_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_DATOI[31..0]
    NamedSignal_INTERCON_IO_M1_S0_SPI_STB             <= PinSignal_INTERCON_IO_s1_STB_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_STB
    NamedSignal_INTERCON_IO_M1_S0_SPI_WE              <= PinSignal_INTERCON_IO_s1_WE_O; -- ObjectKind=Net|PrimaryId=INTERCON_IO_M1_S0_SPI_WE
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_ACK           <= PinSignal_XMEM_ACK_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_ACK
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_ADR           <= PinSignal_INTERCON_MEM_s0_ADR_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_ADR[24..0]
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_CYC           <= PinSignal_INTERCON_MEM_s0_CYC_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_CYC
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_DATIO         <= PinSignal_INTERCON_MEM_s0_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_DATIO[31..0]
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_DATOI         <= PinSignal_XMEM_DAT_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_DATOI[31..0]
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_SEL           <= PinSignal_INTERCON_MEM_s0_SEL_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_SEL[3..0]
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_STB           <= PinSignal_INTERCON_MEM_s0_STB_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_STB
    NamedSignal_INTERCON_MEM_M0_S0_XMEM_WE            <= PinSignal_INTERCON_MEM_s0_WE_O; -- ObjectKind=Net|PrimaryId=INTERCON_MEM_M0_S0_XMEM_WE
    NamedSignal_INTERRUPT_MCU_INT_I(15 downto 0)      <= PinSignal_MCU_LO_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[15..0]
    NamedSignal_INTERRUPT_MCU_INT_I(31 downto 16)     <= PinSignal_MCU_HI_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_ACK             <= PinSignal_INTERCON_IO_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ACK
    NamedSignal_MCU_M0_S0_INTERCON_IO_ADR             <= PinSignal_MCU_IO_ADR_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_ADR[23..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_CYC             <= PinSignal_MCU_IO_CYC_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_CYC
    NamedSignal_MCU_M0_S0_INTERCON_IO_DATIO           <= PinSignal_MCU_IO_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATIO[31..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_DATOI           <= PinSignal_INTERCON_IO_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_DATOI[31..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_SEL             <= PinSignal_MCU_IO_SEL_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_SEL[3..0]
    NamedSignal_MCU_M0_S0_INTERCON_IO_STB             <= PinSignal_MCU_IO_STB_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_STB
    NamedSignal_MCU_M0_S0_INTERCON_IO_WE              <= PinSignal_MCU_IO_WE_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_INTERCON_IO_WE
    NamedSignal_MCU_M1_S0_INTERCON_MEM_ACK            <= PinSignal_INTERCON_MEM_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ACK
    NamedSignal_MCU_M1_S0_INTERCON_MEM_ADR            <= PinSignal_MCU_ME_ADR_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_ADR[31..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_CYC            <= PinSignal_MCU_ME_CYC_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_CYC
    NamedSignal_MCU_M1_S0_INTERCON_MEM_DATIO          <= PinSignal_MCU_ME_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATIO[31..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_DATOI          <= PinSignal_INTERCON_MEM_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_DATOI[31..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_SEL            <= PinSignal_MCU_ME_SEL_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_SEL[3..0]
    NamedSignal_MCU_M1_S0_INTERCON_MEM_STB            <= PinSignal_MCU_ME_STB_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_STB
    NamedSignal_MCU_M1_S0_INTERCON_MEM_WE             <= PinSignal_MCU_ME_WE_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S0_INTERCON_MEM_WE
    NamedSignal_RST_I                                 <= RST_I; -- ObjectKind=Net|PrimaryId=RST_I
    PowerSignal_GND                                   <= '0'; -- ObjectKind=Net|PrimaryId=GND
    SPI_SPI_CLK                                       <= PinSignal_SPI_SPI_CLK; -- ObjectKind=Net|PrimaryId=SPI.SPI_CLK
    SPI_SPI_CS                                        <= PinSignal_SPI_SPI_CS; -- ObjectKind=Net|PrimaryId=SPI.SPI_CS
    SPI_SPI_DOUT                                      <= PinSignal_SPI_SPI_DOUT; -- ObjectKind=Net|PrimaryId=SPI.SPI_DOUT
    SPI_SPI_MODE                                      <= PinSignal_SPI_SPI_MODE; -- ObjectKind=Net|PrimaryId=SPI.SPI_MODE
    XMEM_SDRAM_A                                      <= PinSignal_XMEM_SDRAM_A; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_A[12..0]
    XMEM_SDRAM_BA                                     <= PinSignal_XMEM_SDRAM_BA; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_BA[1..0]
    XMEM_SDRAM_BE                                     <= PinSignal_XMEM_SDRAM_BE; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_BE[1..0]
    XMEM_SDRAM_CAS                                    <= PinSignal_XMEM_SDRAM_CAS; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CAS
    XMEM_SDRAM_CLKE                                   <= PinSignal_XMEM_SDRAM_CLKE; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CLKE
    XMEM_SDRAM_CS                                     <= PinSignal_XMEM_SDRAM_CS; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_CS
    XMEM_SDRAM_RAS                                    <= PinSignal_XMEM_SDRAM_RAS; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_RAS
    XMEM_SDRAM_WE                                     <= PinSignal_XMEM_SDRAM_WE; -- ObjectKind=Net|PrimaryId=XMEM_SDRAM_WE

end structure;
------------------------------------------------------------

